# QPicture Class Reference

### [com.trolltech.qt.gui package]

Inherits QPaintDevice.

### Constructor

- void QPicture(QPicture arg__1)
- void QPicture(int formatVersion)

### Constructor Properties

- prototype: The QPicture prototype object

### Prototype Object Properties

- QRect boundingRect()
- char data()
- bool isNull()
- bool load(QIODevice dev, char format)
- bool play(QPainter p)
- void readFrom(QDataStream arg__1)
- bool save(QIODevice dev, char format)
- void setBoundingRect(QRect r)
- uint size()
- void swap(QPicture other)
- void writeTo(QDataStream arg__1)

### Instance Properties

QPicture objects have no special properties beyond those inherited from the QPicture prototype object.